summaryrefslogtreecommitdiffstats
path: root/libraries/libhandy
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2022-01-04 18:00:44 -0500
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2022-01-13 08:58:49 +0700
commitd6b04bd9d87c636809e78c2a564d96b2d1d9f183 (patch)
treed9d97b9f281d1f48010bfe50600022b30232fca6 /libraries/libhandy
parenta3d2cdb408fded03b54318a302b2186115d51a83 (diff)
downloadslackbuilds-d6b04bd9d87c636809e78c2a564d96b2d1d9f183.tar.gz
slackbuilds-d6b04bd9d87c636809e78c2a564d96b2d1d9f183.tar.xz
libraries/libhandy: Added (UI components for gtk+3).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries/libhandy')
-rw-r--r--libraries/libhandy/README4
-rw-r--r--libraries/libhandy/libhandy.SlackBuild89
-rw-r--r--libraries/libhandy/libhandy.info10
-rw-r--r--libraries/libhandy/slack-desc19
4 files changed, 122 insertions, 0 deletions
diff --git a/libraries/libhandy/README b/libraries/libhandy/README
new file mode 100644
index 0000000000..b2c80e4661
--- /dev/null
+++ b/libraries/libhandy/README
@@ -0,0 +1,4 @@
+libhandy (additional UI components for gtk+3)
+
+The aim of the Handy library is to help with developing UI for mobile
+devices using GTK/GNOME.
diff --git a/libraries/libhandy/libhandy.SlackBuild b/libraries/libhandy/libhandy.SlackBuild
new file mode 100644
index 0000000000..9202aa6032
--- /dev/null
+++ b/libraries/libhandy/libhandy.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/bash
+
+# Slackware build script for libhandy
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=libhandy
+VERSION=${VERSION:-1.2.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+
+mkdir build
+cd build
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ meson .. \
+ --buildtype=release \
+ --infodir=/usr/info \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ -Dgtk_doc=true \
+ -Dstrip=true
+ "${NINJA:=ninja}"
+ DESTDIR=$PKG $NINJA install
+cd ..
+
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING NEWS *.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/libraries/libhandy/libhandy.info b/libraries/libhandy/libhandy.info
new file mode 100644
index 0000000000..8dd7099a6c
--- /dev/null
+++ b/libraries/libhandy/libhandy.info
@@ -0,0 +1,10 @@
+PRGNAM="libhandy"
+VERSION="1.2.3"
+HOMEPAGE="https://gitlab.gnome.org/GNOME/libhandy/"
+DOWNLOAD="https://download.gnome.org/sources/libhandy/1.2/libhandy-1.2.3.tar.xz"
+MD5SUM="f468e27518d393961e3fa8803d4550d5"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/libraries/libhandy/slack-desc b/libraries/libhandy/slack-desc
new file mode 100644
index 0000000000..303f0b2f7d
--- /dev/null
+++ b/libraries/libhandy/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libhandy: libhandy (additional UI components for gtk+3)
+libhandy:
+libhandy: The aim of the Handy library is to help with developing UI for mobile
+libhandy: devices using GTK/GNOME.
+libhandy:
+libhandy:
+libhandy:
+libhandy:
+libhandy:
+libhandy:
+libhandy: